URL structure
Supported methods and overview
GET- retrieves a list of field information for all supported locales on the Cocoon Data Platform.
This method takes no parameters.
Detailed description
This API endpoint retrieves a list of field information for all supported locales on the Cocoon Data Platform.Supported roles
This API endpoint supports the following Cocoon Data user roles (as described in the SafeShare Administrator’s Guide): The Cocoon Data Platform’s resources available to a Cocoon Data user meeting the criteria above is determined by the access token submitted in the header of requests to this endpoint.Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
-
items - .
-
locale - .
- localeCode - .
- displayDescription - .
- hasBuiltinBundle - .
- hasCustomBundle - .
- adminDefault - .
-
locale - .
- offset - .
-
count - .
Example:

